\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
The real numbers are \( \mathbb{R} \)  and the naturals are \( \mathbb{N} \).
We also have the integers \( \mathbb{Z} \), the complex numbers 
\( \mathbb{C} \), and the rationals \( \mathbb{Q} \). 

The first two displayed equations are numbered.
\begin{equation}
  f\colon\mathbb{R}\times\mathbb{N}\to\mathbb{R}
  \quad
  (x,n)\mapsto x^{n}
\end{equation}
This is definition by cases.
\begin{equation}
  F_n=
  \begin{cases}
    1              &\text{-- if $n=0$ or $n=1$}     \\
    F_{n-1}+F_{n-2}  &\text{-- otherwise}              
  \end{cases}
\end{equation}

The remaining equations are unnumbered 
because of the asterisk in the environment name.
\begin{equation*}
  \frac{dy}{dx} = 3x^2
  \quad
  \frac{\partial^2}{\partial x^2} f(x,y) = 2x^2y-\sec(xy)
\end{equation*}
Integral equations can be tall, calling for a display. 
\begin{equation*}
  \int_{x=-1}^{\infty} x^2\,dx = \left[ x^3/3 \right]_{-1}^{\infty}
  \qquad
  \iint F(x,y)\,dx\,dy
\end{equation*}
Contrast the inline $\sum_{n=0}^{15} a_n$ with the displayed one.
\begin{equation*}
  \sum_{i=0}^{k} f(c_i)\cdot\Delta x_i
\end{equation*}
Sometimes you want larger brackets. 
These grow with the size of the contents.
\begin{equation*}
  \cup_{i\in K}\left[ A_{j_i}\right]
  \qquad
  \cup_{i\in K}\left[ A_{j_i}^{2^x}\right]
\end{equation*}
\end{document}     
